org.apache.poi.hemf.record.emfplus

## Enum HemfPlusPath.EmfPlusPathPointType

- java.lang.Object
- - java.lang.Enum<HemfPlusPath.EmfPlusPathPointType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusPath.EmfPlusPathPointType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusPath.EmfPlusPathPointType>
  Enclosing class:
    HemfPlusPath

      public static enum HemfPlusPath.EmfPlusPathPointType
      extends java.lang.Enum<HemfPlusPath.EmfPlusPathPointType>

  The PathPointType enumeration defines types of points on a graphics path.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEZIER` Specifies that the point is an endpoint or control point of a cubic Bezier curve
    `LINE` Specifies that the point is one of the two endpoints of a line.
    `START` Specifies that the point is the starting point of a path.
    `UNUSED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusPath.EmfPlusPathPointType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusPath.EmfPlusPathPointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final HemfPlusPath.EmfPlusPathPointType START

      Specifies that the point is the starting point of a path.

    - #### LINE

          public static final HemfPlusPath.EmfPlusPathPointType LINE

      Specifies that the point is one of the two endpoints of a line.

    - #### UNUSED

          public static final HemfPlusPath.EmfPlusPathPointType UNUSED

    - #### BEZIER

          public static final HemfPlusPath.EmfPlusPathPointType BEZIER

      Specifies that the point is an endpoint or control point of a cubic Bezier curve

  - ### Method Detail

    - #### values

          public static HemfPlusPath.EmfPlusPathPointType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusPath.EmfPlusPathPointType c : HemfPlusPath.EmfPlusPathPointType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusPath.EmfPlusPathPointType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.